do
   local MyUnitIdTable = {
      'lta3001',
      'lta3002',
      'lta3003',
      'ltc3001',
      'ltc3002',
      'ltc3003',
      'lte3001',
      'lte3002',
      'lte3003',
   }
   local oldFileNameFn = GetUnitIconFileNames
   
   local function IsMyUnit(blueprint)
      for i, v in MyUnitIdTable do
         if v == blueprint.Display.IconName then
            return true
         end
      end
      return false
   end
   
   function GetUnitIconFileNames(blueprint)
      if IsMyUnit(blueprint) then
          local iconName = "/mods/mini-experimentals/icons/units/" .. blueprint.Display.IconName .. "_icon.dds"
          local upIconName = "/mods/mini-experimentals/icons/units/" .. blueprint.Display.IconName .. "_build_btn_up.dds"
          local downIconName = "/mods/mini-experimentals/icons/units/" .. blueprint.Display.IconName .. "_build_btn_down.dds"
          local overIconName = "/mods/mini-experimentals/icons/units/" .. blueprint.Display.IconName .. "_build_btn_over.dds"
         
          if DiskGetFileInfo(iconName) == false then
              iconName = '/textures/ui/common/icons/units/default_icon.dds'
          end
         
          if DiskGetFileInfo(upIconName) == false then
              upIconName = iconName
          end

          if DiskGetFileInfo(downIconName) == false then
              downIconName = iconName
          end

          if DiskGetFileInfo(overIconName) == false then
              overIconName = iconName
          end
         
          return iconName, upIconName, downIconName, overIconName
      else
         return oldFileNameFn(blueprint)
      end
   end
end
